Skip to main content
GET
/
batch-calls
/
{batch_call_id}
/
contacts
List Batch Call Contacts
curl --request GET \
  --url https://api.truedy.ai/api/public/v1/batch-calls/{batch_call_id}/contacts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "contact_id": "ctc_aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
      "phone_number": "+15551234567",
      "first_name": "John",
      "call_status": "completed",
      "call_id": "call_a1b2c3d4",
      "called_at": "2026-03-05T09:15:00.000000Z"
    }
  ],
  "meta": {
    "request_id": "req_32e7531c-8",
    "ts": "2026-03-10T17:00:00.000000Z"
  },
  "pagination": {
    "total": 500,
    "limit": 50,
    "offset": 0,
    "has_more": true
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header: Bearer <your_api_key>

Path Parameters

batch_call_id
string
required

Batch call ID

Query Parameters

status
string

Filter by contact status

limit
integer
default:50

Maximum results per page

Required range: 1 <= x <= 100
offset
integer
default:0

Number of results to skip

Required range: x >= 0

Response

List of contacts in batch call

data
object[]
required
meta
object
required
pagination
object